Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 31996 - 2.4.2p1-2.i386.rpm - needs rebuild
2.4.2p1-2.i386.rpm - needs rebuild
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: amanda (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-16 11:23 EST by Andrew Meredith
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-16 15:17:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Meredith 2001-03-16 11:23:04 EST
Somehow the binary version and the src.rpm are out of step. The src.rpm
(quite rightly) enables samba. The binary version does not have samba
enabled. This was determined by examining the source code for the client
and finding that the only place a certain error message can have come from
was inside some hash defines that meant that SAMBA_CLIENT was not set. It
was further confirmed by rebuilding the src.rpm with no changes (other than
release) and then finding that the samba feature now works.

Hope this helps

Andy M
Comment 1 Trond Eivind Glomsrxd 2001-03-16 12:39:11 EST
How do you check if it's enabled or not?
Comment 2 Andrew Meredith 2001-03-16 15:17:55 EST
# strings /usr/lib/amanda/sendbackup | fgrep smbclient
/usr/bin/smbclient
smbclient

If you try this on the one out of the current rawhide rpm, you get nothing.

Hope this helps

Andy M
Comment 3 Trond Eivind Glomsrxd 2001-03-16 15:48:11 EST
Thanks - fixed in amanda-2.4.2p1-3.
Comment 4 Andrew Meredith 2001-03-16 18:15:13 EST
Cool ! That was quick :) Cheers

Note You need to log in before you can comment on or make changes to this bug.